Class UmlItem

This class is a mother class for all the other Uml* classes, this
allows to generalize their management, declare virtual operations etc ...
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlItem : public UmlBaseItem
- Java : abstract class UmlItem extends UmlBaseItem

Directly inherited by : UmlBaseActivity UmlBaseActivityNode UmlBaseActivityPartition UmlBaseActivityRegion UmlBaseArtifact UmlBaseClassInstance UmlBaseClassItem UmlBaseComponent UmlBaseDeployment UmlBaseDiagram UmlBaseFlow UmlBaseNcRelation UmlBaseNode UmlBasePackage UmlBaseParameterSet UmlBaseRegion UmlBaseState UmlBaseStateAction UmlBaseTransition UmlBaseUseCase UmlBaseView UmlPseudoState

Artifact : UmlItem

Operation UmlItem

Declaration :

- Uml : + UmlItem(in id : item_id, in n : string) :
- C++ : public: UmlItem(void * id, const QCString & n) : UmlBaseItem(id, n)
- Java : public UmlItem(long id, String n)

Operation ~UmlItem

Declaration :

- Uml : + ~UmlItem() :
- C++ : public: virtual ~UmlItem()

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload